Summary: An efficient, complete, easy-to-use mobile database framework used in the WeChat application.
Name: wcdb
Version: 2.1.6
Release: 1%{?dist}
License: BSD 3-Clause
URL: https://github.com/Tencent/wcdb
Source0: wcdb-2.1.6.zip

Patch5000: fix-compile-error-in-Linux.patch

BuildRequires: gcc, cmake, g++

%description
WCDB is an efficient, complete, easy-to-use 
mobile database framework used in the WeChat application. 
It's based on SQLite and SQLCipher, 
and supports five languages: C++, Java, Kotlin, Swift and 
Objective-C.

%prep
%autosetup -p1

%build
cd src
mkdir build
cd build
cmake -DCMAKE_SKIP_RPATH=ON .. && cmake --build . -j8

%install
cd src/build
install -d -D export_headers/WCDB/* %{buildroot}%{_includedir}/WCDB/
install -d -D libWCDB.so %{buildroot}%{_libdir}

%clean

%files
%{_includedir}/WCDB
%{_libdir}/libWCDB.so

%changelog
* Tue Aug 6 2024 ConanYao <JaneConan@live.com> - 2.1.6-1
- [Type] other
- [DESC] Initial build of wcdb.